## org.jgroups.blocks
Class ReplCache.ConsistentHashFunction<K>

    java.lang.Object
      org.jgroups.blocks.ReplCache.ConsistentHashFunction<K>

All Implemented Interfaces:
  ReplCache.HashFunction<K>

Enclosing class:
  ReplCache<K,V>

    public static class ReplCache.ConsistentHashFunction<K>

extends java.lang.Object
implements ReplCache.HashFunction<K>

Constructor Summary
`ReplCache.ConsistentHashFunction()`

Method Summary
`java.util.List<Address>` `hash(K key, short replication_count)` Function that, given a key and a replication count, returns replication_count number of different addresses of nodes.
`void` `installNodes(java.util.List<Address> new_nodes)` When the topology changes, this method will be called.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReplCache.ConsistentHashFunction

    public ReplCache.ConsistentHashFunction()

Method Detail

### hash

    public java.util.List<Address> hash(K key,
                                        short replication_count)

  Description copied from interface: `ReplCache.HashFunction`
  Function that, given a key and a replication count, returns replication_count number of different addresses of nodes.

  Specified by:
    `hash` in interface `ReplCache.HashFunction<K>`
  Returns:

### installNodes

    public void installNodes(java.util.List<Address> new_nodes)

  Description copied from interface: `ReplCache.HashFunction`
  When the topology changes, this method will be called. Implementations will typically cache the node list

  Specified by:
    `installNodes` in interface `ReplCache.HashFunction<K>`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.